RagTime5TextInternal::ClustListParser Struct Reference documentation

RagTime5TextInternal::ClustListParser Struct Referencefinal

Internal: the helper to read a clustList. More...

Inheritance diagram for RagTime5TextInternal::ClustListParser:

## Public Member Functions
| ClustListParser (RagTime5ClusterManager &clusterManager, std::string const &zoneName)
| constructor
| ~ClustListParser () final
| destructor
std::string | getClusterDebugName (int id) const
| returns a name which can be used to debugging
bool | parseData (MWAWInputStreamPtr &input, long endPos, RagTime5Zone &, int, libmwaw::DebugStream &f) final
| try to parse a data
Public Member Functions inherited from RagTime5StructManager::DataParser
| DataParser (std::string const &zoneName)
| constructor
virtual | ~DataParser ()
| destructor
virtual std::string | getZoneName () const
| return the debug name corresponding to a zone
virtual std::string | getZoneName (int n) const
| return the debug name corresponding to a field

## Public Attributes
std::vector< int > | m_clusterList
| the list of read cluster

## Private Member Functions
| ClustListParser (ClustListParser &orig)=delete
| copy constructor, not implemented
ClustListParser & | operator= (ClustListParser &orig)=delete
| copy operator, not implemented

## Private Attributes
RagTime5ClusterManager & | m_clusterManager
| the main zone manager

## Additional Inherited Members
Protected Attributes inherited from RagTime5StructManager::DataParser
std::string | m_name
| the field name

## Detailed Description

Internal: the helper to read a clustList.

## Constructor & Destructor Documentation

## ◆ ClustListParser() [1/2]

RagTime5TextInternal::ClustListParser::ClustListParser | ( | RagTime5ClusterManager & | clusterManager,
|  | std::string const & | zoneName )
| inline

constructor

Referenced by ClustListParser(), and operator=().

## ◆ ~ClustListParser()

RagTime5TextInternal::ClustListParser::~ClustListParser | ( |  | ) |
| final

destructor

## ◆ ClustListParser() [2/2]

RagTime5TextInternal::ClustListParser::ClustListParser | ( | ClustListParser & | orig | ) |
| privatedelete

copy constructor, not implemented

## Member Function Documentation

## ◆ getClusterDebugName()

std::string RagTime5TextInternal::ClustListParser::getClusterDebugName | ( | int | id | ) | const
| inline

returns a name which can be used to debugging

Referenced by getClusterDebugName(), and parseData().

## ◆ operator=()

ClustListParser & RagTime5TextInternal::ClustListParser::operator= | ( | ClustListParser & | orig | ) |
| privatedelete

copy operator, not implemented

## ◆ parseData()

bool RagTime5TextInternal::ClustListParser::parseData | ( | MWAWInputStreamPtr & | input,
|  | long | endPos,
|  | RagTime5Zone & | ,
|  | int | ,
|  | libmwaw::DebugStream & | f )
| inlinefinalvirtual

try to parse a data

Reimplemented from RagTime5StructManager::DataParser.

## Member Data Documentation

## ◆ m_clusterList

std::vector<int> RagTime5TextInternal::ClustListParser::m_clusterList

the list of read cluster

Referenced by ClustListParser(), parseData(), and RagTime5Text::readTextCluster().

## ◆ m_clusterManager

RagTime5ClusterManager& RagTime5TextInternal::ClustListParser::m_clusterManager
| private

the main zone manager

Referenced by ClustListParser(), and getClusterDebugName().

The documentation for this struct was generated from the following file:

- RagTime5Text.cxx